#ifndef COMMAND_H_
#define COMMAND_H_

#include <sqlextract/format.h>

struct command_t;

struct command_t *command_create(int (*execute)(void *, void *, struct output_formatter_t *formatter),
		void (*destroy)(void *), void *storage);
void command_destroy(struct command_t *cmd);
int command_execute(struct command_t *cmd, void *arg,
		struct output_formatter_t *formatter);

#endif
